Trying to run latest Banshee 2.6.1 on MacOSX Yosemite

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Trying to run latest Banshee 2.6.1 on MacOSX Yosemite

iriki
The error is this

./Banshee: line 141: /Applications/Banshee.app/Contents/Contents/Resources/bin/mono: No such file or directory
./Banshee: line 141: exec: /Applications/Banshee.app/Contents/Contents/Resources/bin/mono: cannot execute: No such file or directory

Notice the two "Contents" folder. If I manually create another "Contents" sub-folder, it also errors:

../MacOS/Banshee: line 141: exec: /Applications/Banshee.app/Contents/Contents/Contents/Resources/bin/mono: cannot execute: No such file or directory

Notice the 3 Contents folder.

thank in advance.
Reply | Threaded
Open this post in threaded view
|

Re: Trying to run latest Banshee 2.6.1 on MacOSX Yosemite

"Andrés G. Aragoneses"
On 13/08/15 12:51, iriki wrote:

> The error is this
>
> ./Banshee: line 141:
> /Applications/Banshee.app/Contents/Contents/Resources/bin/mono: No such file
> or directory
> ./Banshee: line 141: exec:
> /Applications/Banshee.app/Contents/Contents/Resources/bin/mono: cannot
> execute: No such file or directory
>
> Notice the two "Contents" folder. If I manually create another "Contents"
> sub-folder, it also errors:
>
> ../MacOS/Banshee: line 141: exec:
> /Applications/Banshee.app/Contents/Contents/Contents/Resources/bin/mono:
> cannot execute: No such file or directory
>
> Notice the 3 Contents folder.
>
> thank in advance.
>

Hi iriki,

I think you're talking about the bug reported here:

https://bugzilla.gnome.org/show_bug.cgi?id=725454

There, I posted a DMG for the people to test, could you test and report
your feedback there?

Thanks

PS: Possibly a dupe of https://bugzilla.gnome.org/show_bug.cgi?id=710743 
actually.


_______________________________________________
banshee-list mailing list
[hidden email]
https://mail.gnome.org/mailman/listinfo/banshee-list  (unsubscribe here)
Reply | Threaded
Open this post in threaded view
|

Re: Trying to run latest Banshee 2.6.1 on MacOSX Yosemite

greg1280
This post was updated on .
Hi,

i want to use banshee on Mac OSX el capitan, the version 2.6.1 don't wan't to start.

i've got install xcode and git but i've got an error with first build :

IOError: Mac OS X SDKs 10.6, 10.7 or 10.8 not found

i've replace the version 10.6 by the version 10.11

Now i've got an other error :

"configure: error: in `/Users/myuser/Banshee/bockbuild/profiles/banshee/build-root/tar-1.26':
configure: error: C compiler cannot create executables
See `config.log' for more details.

Traceback (most recent call last):
  File "./darwin.py", line 70, in <module>
    BansheeDarwinProfile ().build ()
  File "../../bockbuild/profile.py", line 152, in build
    def __init__(self, timer=None, bias=None):
  File "../../bockbuild/package.py", line 283, in start_build
  File "../../bockbuild/package.py", line 343, in build
  File "../../bockbuild/package.py", line 294, in sh
  File "../../bockbuild/util/util.py", line 68, in run_shell
Exception: ERROR: command exited with exit code 19712: ./configure --prefix="/Users/myuser/Banshee/bockbuild/profiles/banshee/build-root/_install" "

Can you help me ?